MCP servers
Get an MCP server
Get one MCP server.
GET
/
mcp-servers
/
{id}
curl -X GET "https://api.nedzo.ai/v1/mcp-servers/9b2f6c1a-3e4d-4a5b-8c7d-0e1f2a3b4c5d" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "9b2f6c1a-3e4d-4a5b-8c7d-0e1f2a3b4c5d",
"workspaceId": "789e4567-e89b-12d3-a456-426614174000",
"name": "Inventory",
"url": "https://mcp.example.com/mcp",
"authType": "bearer",
"hasAuth": true,
"headerNames": [],
"toolCount": 4,
"lastConnectedAt": "2026-10-11T10:00:00Z",
"createdAt": "2026-10-11T09:00:00Z",
"updatedAt": "2026-10-11T10:00:00Z"
}
This endpoint is for the VIP plan only. Other plans get a
403. See Plan access.Path Parameters
curl -X GET "https://api.nedzo.ai/v1/mcp-servers/9b2f6c1a-3e4d-4a5b-8c7d-0e1f2a3b4c5d" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "9b2f6c1a-3e4d-4a5b-8c7d-0e1f2a3b4c5d",
"workspaceId": "789e4567-e89b-12d3-a456-426614174000",
"name": "Inventory",
"url": "https://mcp.example.com/mcp",
"authType": "bearer",
"hasAuth": true,
"headerNames": [],
"toolCount": 4,
"lastConnectedAt": "2026-10-11T10:00:00Z",
"createdAt": "2026-10-11T09:00:00Z",
"updatedAt": "2026-10-11T10:00:00Z"
}
Errors
| Status | When |
|---|---|
400 | id is not a valid UUID. |
404 | The server is not in your API key’s scope. |
Was this page helpful?
⌘I
curl -X GET "https://api.nedzo.ai/v1/mcp-servers/9b2f6c1a-3e4d-4a5b-8c7d-0e1f2a3b4c5d" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "9b2f6c1a-3e4d-4a5b-8c7d-0e1f2a3b4c5d",
"workspaceId": "789e4567-e89b-12d3-a456-426614174000",
"name": "Inventory",
"url": "https://mcp.example.com/mcp",
"authType": "bearer",
"hasAuth": true,
"headerNames": [],
"toolCount": 4,
"lastConnectedAt": "2026-10-11T10:00:00Z",
"createdAt": "2026-10-11T09:00:00Z",
"updatedAt": "2026-10-11T10:00:00Z"
}